function init(hero) {
    hero.setName("Wonder Woman/\u00A7d\u00A7lKNIGHTS\u00A7r");
    hero.setTier(4);
    
    hero.setHelmet("Helmet");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    hero.addPrimaryEquipment("fiskheroes:chokuto", true, item => !item.nbt().getBoolean("Dual"));
    
    hero.addPowers("knights:amazons_gift");
    hero.addAttribute("PUNCH_DAMAGE", 10.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 5, 0);
    hero.addAttribute("JUMP_HEIGHT", 2.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 6.0, 0);
    hero.addAttribute("IMPACT_DAMAGE", 1.5, 1);
    hero.addAttribute("SPRINT_SPEED", 0.3, 1)
    hero.addAttribute("BASE_SPEED_LEVELS", 1.0, 0);

    hero.addKeyBind("SUPER_SPEED", "Adrenaline Boost", 1);
    hero.addKeyBind("SLOW_MOTION", "Enhanced Perception", 2);

    hero.setHasPermission((entity, permission) => permission == "USE_GRAPPLING_GUN");
    hero.setModifierEnabled(isModifierEnabled);

    hero.setHasProperty ((entity, property) => property == "BREATHE_SPACE");
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
     case "fiskheroes:flight":
        return entity.getData("fiskheroes:shadowform");
   default:
        return true;
    }
}